> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Admin] Create a webhook for a customer



## OpenAPI

````yaml /openapi/backoffice.json post /api/v1/admin/integration/{id}/webhooks
openapi: 3.0.1
info:
  title: Cativa Backoffice API (public)
  version: public
servers: []
security: []
paths:
  /api/v1/admin/integration/{id}/webhooks:
    post:
      tags:
        - Webhooks
      summary: '[Admin] Create a webhook for a customer'
      operationId: Admin_CreateWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Integration.Webhook.Application.Requests.Webhook.Admin.CreateWebhook.CreateWebhookRequest
        required: true
      responses:
        '200':
          description: OK
components:
  schemas:
    Cativa.Integration.Webhook.Application.Requests.Webhook.Admin.CreateWebhook.CreateWebhookRequest:
      type: object
      properties:
        id:
          type: string
          format: uuid
        eventName:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        isActive:
          type: boolean
        groupId:
          type: string
          format: uuid
        params:
          type: string
          nullable: true
        conditionGroups:
          type: array
          items:
            $ref: >-
              #/components/schemas/Cativa.Integration.Webhook.Application.Requests.Webhook.Admin.Shared.WebhookConditionGroupDto
          nullable: true
        name:
          type: string
          nullable: true
      additionalProperties: false
    Cativa.Integration.Webhook.Application.Requests.Webhook.Admin.Shared.WebhookConditionGroupDto:
      type: object
      properties:
        order:
          type: integer
          format: int32
        conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/Cativa.Integration.Webhook.Application.Requests.Webhook.Admin.Shared.WebhookConditionDto
          nullable: true
      additionalProperties: false
    Cativa.Integration.Webhook.Application.Requests.Webhook.Admin.Shared.WebhookConditionDto:
      type: object
      properties:
        criteriaType:
          type: integer
          format: int32
        operator:
          type: integer
          format: int32
        value:
          type: string
          nullable: true
        referenceId:
          type: string
          format: uuid
          nullable: true
        order:
          type: integer
          format: int32
      additionalProperties: false

````